<template>
  <div>
    <div class="bgblue relative-position">
      <div style="padding-top: 20px; padding-left: 20px" class="row">
        <div class="col-1" style="width: 150px">
          <img src="../../../../public/logo.png" style="height: 39px" alt="" />
        </div>
        <div class="col-6">
          <div
            class="cursor-pointer"
            @click="gotoMainPage()"
            style="width: 50px"
          >
            <img src="../../../../public/home.svg" alt="" />
          </div>
        </div>
      </div>
      <div class="row">
        <div
          class="absolute-left q-pl-sm"
          style="width: 160px; padding-top: 100px"
        >
          <div class="whitebox cursor-pointer" @click="goToIntroduction()">
            Introduction
          </div>
          <div style="height: 5px"></div>
          <div class="whitebox cursor-pointer" @click="goToUserGuide()">
            User notes
          </div>
          <div style="height: 5px"></div>
          <div class="whitebox cursor-pointer" @click="goToTechnicalNote()">
            Technical notes
          </div>
        </div>
        <div class="col">
          <div class="font-36" align="center">
            Regional Integration Analyzer
          </div>
          <div class="font-18" align="center">
            Explore international integration for Asia-Pacific economies based
            on <br />ESCAP’s Digital and Sustainable Regional Integration Index
            (DigiSRII) 2.0.
          </div>
        </div>
        <div class="absolute-right" style="width: 160px; padding-top: 60px">
          <div
            class="whitebox cursor-pointer"
            :class="{ greenbox: page == 'ricountrybrief' }"
            @click="gotoCountryBrief()"
          >
            Country brief
          </div>
          <div style="height: 5px"></div>
          <div class="whitebox cursor-pointer" @click="isShowDemo = true">
            Demo videos
          </div>
          <div style="height: 5px"></div>
          <div
            class="whitebox cursor-pointer"
            :class="{ greenbox: page == 'data' }"
            @click="gotoDataAvailablity()"
          >
            Data availability
          </div>
          <div style="height: 5px"></div>
          <div
            class="whitebox cursor-pointer"
            :class="{ greenbox: page == 'download' }"
            @click="gotoDownload()"
          >
            Download data
          </div>
        </div>
      </div>
      <div>
        <div></div>
      </div>
    </div>
    <hr style="margin: 0px" />
    <div class="closeStructure" v-show="showStructure == false">
      <span @click="showStructure = true" class="cursor-pointer"
        ><u>Click here to reveal DigiSRII index structure</u></span
      >
    </div>
    <div
      class="openStructrue q-py-md"
      align="center"
      v-show="showStructure == true"
    >
      <div align="right">
        <div class="q-pr-md cursor-pointer" @click="showStructure = false">
          <q-icon name="fas fa-times" size="24px" />
        </div>
      </div>

      <img :src="getImgPath()" alt="" style="height: 280px" class="q-pb-md" />
    </div>
    <div class="row" style="height: 85px; background-color: #404040">
      <div
        class="col-3 borderwhite cursor-pointer text-white brx"
        :style="menu == 0 ? 'background-color:#2D9687' : ''"
        align="center"
        @click="gotoOverview()"
      >
        <div class="row" style="width: 320px">
          <div class="q-pr-md" style="line-height: 85px">
            <img src="../../../../public/icon00.svg" alt="" />
          </div>
          <div align="left">
            <div class="font-16 q-pt-sm">Integration overview</div>
            <div class="font-12">
              Select an economy or a pre-selected group to quickly<br />
              analyse integration with Asia and the Pacific
            </div>
          </div>
        </div>
      </div>
      <div
        class="col-3 borderwhite cursor-pointer text-white brx"
        :style="menu == 1 ? 'background-color:#2D9687' : ''"
        align="center"
        @click="gotoIntra()"
      >
        <div class="row" style="width: 320px">
          <div class="q-pa-sm">
            <img src="../../../../public/icon01.svg" alt="" />
          </div>
          <div align="left">
            <div class="font-16 q-pt-sm">Intra-group integration</div>
            <div class="font-12">
              Select a group of economies to<br />
              assess intra-group integration
            </div>
          </div>
        </div>
      </div>
      <div
        class="col-3 borderwhite cursor-pointer text-white"
        :style="menu == 2 ? 'background-color:#2D9687' : ''"
        align="center"
        @click="gotoPartner()"
      >
        <div class="row" style="width: 350px">
          <div class="q-pa-md">
            <img src="../../../../public/icon02.svg" alt="" />
          </div>
          <div align="left">
            <div class="font-16 q-pt-sm">Economy-partner(s) integration</div>
            <div class="font-12">
              Select one or more economies to examine<br />
              integration with other economies
            </div>
          </div>
        </div>
      </div>
      <div
        class="col-3 borderwhite cursor-pointer text-white"
        :style="menu == 3 ? 'background-color:#2D9687' : ''"
        align="center"
        @click="gotoBuildYourOwn()"
      >
        <div class="row" style="width: 350px">
          <div class="q-pa-md">
            <img src="../../../../public/icon03.svg" alt="" />
          </div>
          <div align="left">
            <div class="font-16 q-pt-sm">Build your own</div>
            <div class="font-12">
              Select specific dimensions and any combination<br />
              of economies to build your own integration index
            </div>
          </div>
        </div>
      </div>
    </div>

    <q-dialog v-model="isShowDemo" persistent>
      <q-card style="max-width: 960px; width: 100%; height: 550px">
        <q-icon
          class="absolute cursor-pointer z-top"
          style="right: 5px; top: 5px"
          name="fas fa-times"
          size="24px"
          color="grey-8"
          flat
          v-close-popup
        ></q-icon>
        <div class="q-pt-md text-h5" align="center">Demo videos</div>
        <div class="row">
          <div class="col-4"></div>
          <div class="col-8" style="text-align: center">
            Introduction, key concepts and tools
            <div><img src="../../../../public/images/linedemo.svg" /></div>
          </div>
        </div>
        <div class="row">
          <div class="col-4" align="center">
            <video controls style="width: 85%">
              <source :src="vdoList[0]" type="video/mp4" />
            </video>
            <div>(0/5) Promotional Video</div>
          </div>
          <div class="col-4" align="center">
            <video
              controls
              style="width: 85%"
              poster="../../../../public/images/poster2c.jpg"
            >
              <source :src="vdoList[1]" type="video/mp4" />
            </video>
            <div>(0/1) Introduction</div>
          </div>
          <div class="col-4" align="center">
            <video
              controls
              style="width: 85%"
              poster="../../../../public/images/poster3.jpg"
            >
              <source :src="vdoList[2]" type="video/mp4" />
            </video>
            <div>(2/5) Exploring Navigation Options</div>
          </div>
        </div>
        <div align="center" class="q-pt-md">
          <div>Section by section demonstrations</div>
          <div>
            <img src="../../../../public/images/linedemo2.svg" alt="" />
          </div>
        </div>
        <div class="row">
          <div class="col-4" align="center">
            <video
              controls
              style="width: 85%"
              poster="../../../../public/images/poster4.jpg"
            >
              <source :src="vdoList[3]" type="video/mp4" />
            </video>
            <div>(3/5) Intra-group section</div>
          </div>
          <div class="col-4" align="center">
            <video
              controls
              style="width: 85%"
              poster="../../../../public/images/poster5.jpg"
            >
              <source :src="vdoList[4]" type="video/mp4" />
            </video>
            <div>(4/5) Economy-partner section</div>
          </div>
          <div class="col-4" align="center">
            <video
              controls
              style="width: 85%"
              poster="../../../../public/images/poster6.jpg"
            >
              <source :src="vdoList[5]" type="video/mp4" />
            </video>
            <div>(5/5) Build you own</div>
          </div>
        </div>
      </q-card>
    </q-dialog>
  </div>
</template>

<script>
export default {
  props: ["menu"],
  data() {
    return {
      page: "",
      showStructure: false,
      isShowDemo: false,
      vdoList: [
        "https://riva.negotiatetrade.org/rivdo/01xx.webm",
        "https://riva.negotiatetrade.org/rivdo/02xx.webm",
        "https://riva.negotiatetrade.org/rivdo/03xx.webm",
        "https://riva.negotiatetrade.org/rivdo/04xx.webm",
        "https://riva.negotiatetrade.org/rivdo/05xx.webm",
        "https://riva.negotiatetrade.org/rivdo/06xx.webm",
      ],
      vdoFile: 0,
    };
  },
  methods: {
    getImgPath() {
      return "structure.svg?" + Math.floor(Math.random() * 900) + 100;
    },
    gotoCountryBrief() {
      this.$router.push("/ricountrybrief");
    },
    goToIntroduction() {
      window.open("https://riva.negotiatetrade.org/riva2_introduction/");
    },
    goToTechnicalNote() {
      window.open("https://riva.negotiatetrade.org/riva2_technical_note/");
    },
    goToUserGuide() {
      window.open("https://riva.negotiatetrade.org/riva2_user_guide/");
    },
    gotoMainPage() {
      this.$router.push("/");
    },
    gotoOverview() {
      this.$router.push("/rioverview");
    },
    gotoIntra() {
      this.$router.push("/riintragroup");
    },
    gotoPartner() {
      this.$router.push("/rieconomypartner");
    },
    gotoBuildYourOwn() {
      this.$router.push("/ribuildyourown");
    },
    gotoDataAvailablity() {
      this.$router.push("/ridataavailability");
    },
    gotoDownload() {
      this.$router.push("/ridownload");
    },
  },
  mounted() {
    if (this.$route.name == "ridataavailability") {
      this.page = "data";
    } else if (this.$route.name == "ridownload") {
      this.page = "download";
    } else if (this.$route.name == "ricountrybrief") {
      this.page = "ricountrybrief";
    }
  },
};
</script>

<style lang="scss" scoped>
.openStructrue {
  background-color: #04284d;
  color: white;
}
.closeStructure {
  background-color: #04284d;
  color: white;
  height: 50px;
  line-height: 50px;
  text-align: center;
  font-size: 20px;
  text-decoration: underline;
}
.bgblue {
  height: 230px;
  background-color: #04284d;
  color: white;
}
.whitebox {
  height: 35px;
  width: 150px;
  border: 1px solid white;
  border-radius: 3px;
  line-height: 35px;
  text-align: center;
}
.whiteboxLeft {
  height: 35px;
  width: 150px;
  border: 1px solid white;
  border-radius: 3px;
  line-height: 35px;
  text-align: center;
  position: relative;
  left: 10px;
  top: 120px;
}
.greenbox {
  background: #2d9687;
}
.borderwhite {
  border: 1px solid white;
  height: 85px;
}
</style>
